<template>
  <a-descriptions bordered :column="2" size="small" :labelStyle="labelStyle">
    <a-descriptions-item label="审核人">
      {{ auditData.user_name }}
    </a-descriptions-item>
    <a-descriptions-item label="审核时间">
      {{ auditData.time }}
    </a-descriptions-item>
  </a-descriptions>
</template>
<script lang="ts" setup>
  import { ref, watch } from 'vue';
  const labelStyle = ref({
    width: '100px',
  });
  const auditData: any = ref({});
  const props = defineProps({
    data: {
      type: Object,
      default: () => {
        return {};
      },
    },
  });
  console.log(props.data);
  auditData.value = props.data;
  watch(
    () => props.data,
    (newVal, oldVal) => {
      auditData.value = newVal;
    },
  );
</script>
<style lang="less" scoped>
  ::v-deep .ant-image .ant-image-img {
    width: 85px;
    margin-bottom: 10px;
  }
</style>
